#
# spec file for package kqemu-kmp (Version 1.3.0pre11)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           kqemu-kmp
BuildRequires:  kernel-source kernel-syms module-init-tools
Group:          System/Kernel
AutoReqProv:    on
Summary:        The QEMU Accelerator Module
Version:        1.3.0pre11
Release:        7.1
Source:         http://fabrice.bellard.free.fr/qemu/kqemu-%{version}.tar.gz
Url:            http://fabrice.bellard.free.fr/qemu/
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
%suse_kernel_module_package -n kqemu kdump um
%define kernel_version  %(echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' kernel-source`|sed 's/_/-/g;')

%description
The QEMU Accelerator Module increases the speed of QEMU when a PC is
emulated on a PC. It runs most of the target application code directly
on the host processor to achieve near native performance. It is very
useful when you want to run another Operating System (for example
Windows) on a Linux desktop.



Authors:
--------
    Fabrice Bellard

%package -n kqemu-KMP
Group:          System/Kernel
License:        GPL v2 or later
Summary:        The QEMU Accelerator Module

%description -n kqemu-KMP
The QEMU Accelerator Module increases the speed of QEMU when a PC is
emulated on a PC. It runs most of the target application code directly
on the host processor to achieve near native performance. It is very
useful when you want to run another Operating System (for example
Windows) on a Linux desktop.



%prep
%setup -n kqemu-%{version}

%build
mkdir obj
echo "flavors_to_build: %{flavors_to_build}"
for flavor in %flavors_to_build; do
     mkdir -p obj/$flavor
     ./configure --kernel-path=/usr/src/linux-obj/%_target_cpu/$flavor
     make clean
     make
     mv kqemu.ko obj/$flavor/
done

%install
for flavor in %flavors_to_build; do
     mkdir -p %{buildroot}/lib/modules/%{kernel_version}-$flavor/updates/
     mv obj/$flavor/kqemu.ko %{buildroot}/lib/modules/%{kernel_version}-$flavor/updates/
done

%changelog
* Mon Jun 11 2007 - ro@suse.de
- no main package, no debuginfo
* Wed Apr 04 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Thu Mar 22 2007 - seife@suse.de
- fix build against "2.6.21-rc4_git5-2"-type kernel versions
* Tue Feb 27 2007 - ro@suse.de
- check in with fixed license data
* Wed Feb 14 2007 - seife@suse.de
- update to 1.3.0pre11, GPLed version
* Sat Nov 11 2006 - dmacvicar@suse.de
- Initial package for 1.3.0pre9-
